Bug 801059 - Review Request: fcitx-fbterm - Fbterm Support for Fcitx
Review Request: fcitx-fbterm - Fbterm Support for Fcitx
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 10:15 EST by Liang Suilong
Modified: 2012-06-05 19:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-05 19:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2012-03-07 10:15:00 EST
SRPM: http://liangsuilong.fedorapeople.org/fcitx/fcitx-fbterm-0.1.2-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-fbterm.spec
Description:
Fcitx-fbterm is a Wrapper for Fcitx in fbterm, a fast Framebuffer based terminal emulator.
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3864010
Comment 1 Parag AN(पराग) 2012-04-26 06:10:28 EDT
Review:-
+ koji scratch build for f17 ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023815

+ rpmlint on rpms gave
fcitx-fbterm.src: E: description-line-too-long C Fcitx-fbterm is a Wrapper for Fcitx in fbterm, a fast Framebuffer based terminal emulator.
fcitx-fbterm.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 5)
fcitx-fbterm.src: W: invalid-url Source0: http://fcitx.googlecode.com/files/fcitx-fbterm-0.1.2.tar.bz2 HTTP Error 404: Not Found
fcitx-fbterm.x86_64: E: description-line-too-long C Fcitx-fbterm is a Wrapper for Fcitx in fbterm, a fast Framebuffer based terminal emulator.
fcitx-fbterm.x86_64: W: no-documentation
fcitx-fbterm.x86_64: W: no-manual-page-for-binary fcitx-fbterm-helper
fcitx-fbterm.x86_64: W: no-manual-page-for-binary fcitx-fbterm
2 packages and 0 specfiles checked; 2 errors, 5 warnings.

+ Source verified with upstream as (sha1sum)
cbe29bde674b90af99da5e65a2d4bb9d34f86f36  fcitx-fbterm-0.1.2.tar.bz2
cbe29bde674b90af99da5e65a2d4bb9d34f86f36  ../SOURCES/fcitx-fbterm-0.1.2.tar.bz2


Suggestions:-
1) Fix the rpmlint messages. 
  a) mixed-use-of-spaces-and-tabs message can be fixed using command
     sed -i 's|\t| |g' fcitx-fbterm.spec
  b) description lines should be of 80 characters.

2) If package is only for Fedora then no need to add
  a) %clean section (see
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
  b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
  c) remove line %defattr(-,root,root,-)

3) please don't use commands in macro that is change %{__mkdir} to "mkdir"

4) package should add Requires: fcitx, fcitx-data

5) Use following commands in %build
%cmake ..
make VERBOSE=1 %{?_smp_mflags}

6) %install should preserve timestamp using 
   make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Comment 2 Liang Suilong 2012-05-12 14:03:50 EDT
SRPM:
http://liangsuilong.fedorapeople.org/fcitx/fcitx-fbterm-0.1.4-1.fc16.src.rpm
SPEC: http://liangsuilong.fedorapeople.org/fcitx/fcitx-fbterm.spec
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4072731

(In reply to comment #1)
> Review:-
> + koji scratch build for f17
> ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4023815
> 
> + rpmlint on rpms gave
> fcitx-fbterm.src: E: description-line-too-long C Fcitx-fbterm is a Wrapper for
> Fcitx in fbterm, a fast Framebuffer based terminal emulator.
> fcitx-fbterm.src:5: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line
> 5)
> fcitx-fbterm.src: W: invalid-url Source0:
> http://fcitx.googlecode.com/files/fcitx-fbterm-0.1.2.tar.bz2 HTTP Error 404:
> Not Found
> fcitx-fbterm.x86_64: E: description-line-too-long C Fcitx-fbterm is a Wrapper
> for Fcitx in fbterm, a fast Framebuffer based terminal emulator.
> fcitx-fbterm.x86_64: W: no-documentation
> fcitx-fbterm.x86_64: W: no-manual-page-for-binary fcitx-fbterm-helper
> fcitx-fbterm.x86_64: W: no-manual-page-for-binary fcitx-fbterm
> 2 packages and 0 specfiles checked; 2 errors, 5 warnings.
> 
> + Source verified with upstream as (sha1sum)
> cbe29bde674b90af99da5e65a2d4bb9d34f86f36  fcitx-fbterm-0.1.2.tar.bz2
> cbe29bde674b90af99da5e65a2d4bb9d34f86f36  ../SOURCES/fcitx-fbterm-0.1.2.tar.bz2
> 
> 
> Suggestions:-
> 1) Fix the rpmlint messages. 
>   a) mixed-use-of-spaces-and-tabs message can be fixed using command
>      sed -i 's|\t| |g' fcitx-fbterm.spec
>   b) description lines should be of 80 characters.

Done

> 
> 2) If package is only for Fedora then no need to add
>   a) %clean section (see
> http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean)
>   b) removal of buildroot in %install (remove line rm -rf $RPM_BUILD_ROOT)
>   c) remove line %defattr(-,root,root,-)
>

The package will be support el6.
 
> 3) please don't use commands in macro that is change %{__mkdir} to "mkdir"
> 
Done

> 4) package should add Requires: fcitx, fcitx-data
> 
Done

> 5) Use following commands in %build
> %cmake ..
> make VERBOSE=1 %{?_smp_mflags}
>
Done
 
> 6) %install should preserve timestamp using 
>    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Done
Comment 3 Parag AN(पराग) 2012-05-15 01:57:18 EDT
Changes looks good now except package should not require for fcitx-data as I
see nothing is getting installed in /usr/share/fcitx/inputmethod

APPROVED.
Comment 4 Liang Suilong 2012-05-17 04:12:42 EDT
New Package SCM Request
=======================
Package Name: fcitx-fbterm
Short Description: Fbterm Support for Fcitx 
Owners: liangsuilong
Branches: f15 f16 f17 el6
InitialCC: i18n-team
Comment 5 Gwyn Ciesla 2012-05-17 08:13:55 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-22 12:56:32 EDT
fcitx-fbterm-0.1.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fcitx-fbterm-0.1.4-1.fc15
Comment 7 Fedora Update System 2012-05-22 12:58:25 EDT
fcitx-fbterm-0.1.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fcitx-fbterm-0.1.4-1.fc17
Comment 8 Fedora Update System 2012-05-22 12:58:38 EDT
fcitx-fbterm-0.1.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fcitx-fbterm-0.1.4-1.fc16
Comment 9 Fedora Update System 2012-05-24 11:35:16 EDT
fcitx-fbterm-0.1.4-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-05 19:03:28 EDT
fcitx-fbterm-0.1.4-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-06-05 19:05:52 EDT
fcitx-fbterm-0.1.4-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 12 Fedora Update System 2012-06-05 19:08:07 EDT
fcitx-fbterm-0.1.4-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.